Description

Point similaire au point #382 mais avec les CWF a F1:

Le cas considéré ici est un ctc-5: balayage en fréquence ou on enregistre 104 fichiers CWF a F1 comprenants chacun 320 paquets
de 336 échantillons. Voir les fichiers joints.

Avec la configuation FSW = 2.0.2.3 et VHDL = 1.1.68 on observe:

- les temps des paquets de 336 échantillons sont bien séparés de 5376 2*-16 s [336 / 4096 / 2"-16] a 2"-16 s pres,

- SAUF de temps a autre entre des paquets p et p+1 ou I'on observe la valeur de 5474 et ou l'entier p a la caractéristique d'étre un
multiple de 8.

Conclusion: la datation des premiers paquets de chaque buffer (2688=8*336) est de temps a autre Iégérement erronée, de
I'ordre de 2 fine times (~ 30 micro secondes) ?

History

#1 - 09/06/2015 10:35 AM - paul leroy
- Status changed from New to Feedback

- Assignee changed from paul leroy to thomas chust

Une salve de 8 paquets, correspondant a 2688 points, est stockéesdans LFR sous forme d'un buffer de données et d'une information de temps. Cette
unique information de temps est utilisé pour calculer les acquisition_time des 8 paquets de la salve, ce qui explique qu'entre les 8 paquets de la
salve, le deta soit parfait mais qu'entre le premier paquet d'une salve et le premier paquet de la salve suivantes, il puisse y avoir un décalage (quand
on utilise le timegen, sinon, tout est censé étre identique).

#2 - 09/06/2015 11:20 AM - thomas chust

- Assignee changed from thomas chust to paul leroy

Ok. Cela signifie donc que la dérive d'horloge est supérieure a 1 pour 1 million (Alexis parlait de cet ordre de grandeur) puisqu'entre deux buffer
s'écoule ~0.65 s ? Ou il s'agit d'un rattrapage d'une dérive cumulée au bout de plusieurs buffer ?

#3 - 15/06/2015 08:39 AM - paul leroy
- Status changed from Feedback to Closed

- Assignee changed from paul leroy to thomas chust

Se référer a #441, qui reprend les constatations liées aux dérives de synchronisation.

#4 - 15/06/2015 08:43 AM - paul leroy
- Status changed from Closed to Feedback
